## backup_history_list

### Verwendung

Sie lassen sich den Inhalt der Sicherungshistorie anzeigen. Sie haben die Möglichkeit, die Anzeige durch die Angabe von Optionen einzuschränken oder zu erweitern.

Aus Gründen der Zeitersparnis empfiehlt es sich, zuvor das DBM-Kommando zum Holen der Sicherungshistorie auszuführen (Siehe: backup_history_open). Wenn Sie dies nicht tun, wird es implizit bei dem hier beschriebenen DBM-Kommando zum Anzeigen der Sicherungshistorie ausgeführt.

Siehe auch:

Tutorial Datenbankverwaltung, Restart-Information und Sicherungshistorie für das Einlesen von Sicherungen auswerten

Konzepte des Datenbanksystems, Protokolldateien

### Voraussetzungen

Sie haben die Serverberechtigung Backup oder DBInfoRead.

### Syntax

backup_history_list [<option_list>]

<option_list>:: = <option> | <option>,<option>, ...

<option>:: = -c <columns> | -k <key> | -l <label> | -a <action> | -r <restore_flag> | –u <yyyymmddHHMMSS> | –m | -e | -Inverted

Optionen

Option | Beschreibung
-c <columns> | Sie legen fest, welche Spalten ausgegeben werden sollen. Wenn Sie mehrere Spalten angeben, sind diese durch Komma voneinander zu trennen. Die Schlüsselwörter für die einzelnen Spalten sind: KEY Schlüsselwert der Sicherung LABEL Label der Sicherung ACTION Sicherungsaktion STAMP1 Erster Zeitstempel der Sicherung STAMP2 Zweiter Zeitstempel der Sicherung START Beginn der Sicherung STOP Ende der Sicherung FIRSTLOG Erste Log-IO-Sequenznummer der Sicherung LASTLOG Letzte Log-IO-Sequenznummer der Sicherung LOG Angabe ob nach dem Einlesen der Datensicherung noch Log-Sicherungen eingelesen werden müssen. MEDIA Name der verwendeten Sicherungsvorlage PAGES Größe der Sicherung in Seiten VOLUMES Anzahl der Teile aus denen die Sicherung besteht RC Rückgabewert der Datenbankinstanz für die Sicherung ERROR Fehlertext der Sicherung
-k <key> | Es wird nur die Zeile der Sicherungshistorie ausgegeben, die den unter <key> angegebenen Schlüsselwert enthält. Diese Option darf nicht mit der Option -r verwendet werden.
-l <label> | Es werden nur die Zeilen der Sicherungshistorie ausgegeben, die die angegebene Sicherungskennung enthalten. Diese Option darf nicht mit der Option -r verwendet werden.
-a <action> | Es werden nur die Zeilen der Sicherungshistorie ausgegeben, die der angegebenen Sicherungsart entsprechen. Diese Option darf nicht mit der Option -r verwendet werden.
-r <restore_flag> | Es werden nur Sicherungen ausgegeben, die zum Wiederherstellen der Datenbankinstanz benötigt werden. Mögliche Werte für <restore_flag> sind: * | LAST | <key> *: Es werden alle Datensicherungen ausgegeben, die für das Wiederherstellen der Datenbankinsztanz erforderlich sind. Wenn das Log-Volume noch intakt ist, dann werden nur jene Datensicherungen ausgegeben, die zu den vorhandenen Log-Einträgen im Log-Volume passen. LAST: Einschließlich der letzten vollständigen Datensicherung werden alle Sicherungen ausgegeben, die zum Wiederherstellen der Datenbankinstanz benötigt werden. <key>: Schlüsselwert der vollständigen Datensicherung Es werden alle Sicherungen ausgegeben, die zum Wiederherstellen der Datenbankinstanz benötigt werden. Den Schlüsselwert der vollständigen Datensicherung finden Sie in der 1. Spalte des Eintrags dieser Sicherung in der Sicherungshistorie.
-u <yyyymmddHHMMSS> | Es werden nur jene Zeilen der Sicherungshistorie ausgegeben, die Daten enthalten, welche vor dem angegebenen Zeitpunkt in der Datenbankinstanz gespeichert wurden. Zeitformat: Jahr Monat Tag Stunden Minuten Sekunden
-m | Zu jeder Zeile, die eine Sicherung betrifft, werden Informationen über die verwendete Sicherungsvorlage ausgegeben.
-e | Zu jeder Zeile, die eine Sicherung betrifft, werden Informationen über die zugehörige externe Sicherungskennung ausgegeben.
-Inverted | Die Sicherungshistorie wird in umgekehrter Reihenfolge ausgegeben, d. h. die jüngste Sicherung zuerst.

### Antwort

OK

END|CONTINUE

<history_line>

[<media_line>

[<external_backup_id-line>]

<history_line>

[<m edia_line>]

[<external_backup_id-line>]

....

Werte für die Felder der Antwort

Wert | Beschreibung
END | Der Inhalt der Sicherungshistorie wurde vollständig übertragen. Die Datei wird automatisch geschlossen.
CONTINUE | Die Sicherungshistorie hat noch weitere Einträge, die aufgrund der begrenzten Größe des Antwortpakets nicht übertragen wurden. Sie können diese durch erneutes Eingeben des DBM-Kommandos anzeigen oder die Sicherungshistorie schließen (Siehe: backup_history_close).
<history_line> | Angaben zu den angefertigten Sicherungen Die Spalten, sind durch einen vertikalen Strich (|) voneinander getrennt. Pro Sicherung wird eine Zeile ausgegeben.
<media_line> | Informationen über die beim Sichern verwendete Sicherungsvorlage Der Zeile ist ein M: vorangestellt, dem die durch einen vertikalen Strich (|) voneinander getrennten Spalten folgen.
<external_backup_id_line> | Wenn die Sicherung mit Hilfe eines Sicherungswerkzeuges erstellt wurde, sind hier die Informationen zur externen Sicherungskennung zu finden. Der Zeile ist ein E: vorangestellt, dem die durch einen vertikalen Strich (|) voneinander getrennten Spalten folgen.

Im Fehlerfall siehe Antwortformat.